> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get blog information 

> Get details of a single blog with this API endpoint

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-blog-information
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-blog-information:
    post:
      tags:
        - Blog
      summary: 'Get blog information '
      description: |-
        Get details of a single blog with this API endpoint

        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          slug:
                            type: string
                            description: Slug of blog
                          fermionSchoolId:
                            type: string
                            minLength: 1
                            description: Your school ID
                        required:
                          - slug
                          - fermionSchoolId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                response:
                                  anyOf:
                                    - type: object
                                      properties:
                                        status:
                                          type: string
                                          enum:
                                            - ok
                                        titleMarkdown:
                                          type: string
                                        createdAt:
                                          type: string
                                          format: date-time
                                        updatedAt:
                                          type: string
                                          format: date-time
                                        contentMarkdown:
                                          type: string
                                        contentTiptapV3Json:
                                          type: string
                                          nullable: true
                                        featuredImageUrl:
                                          type: string
                                          nullable: true
                                          format: uri
                                      required:
                                        - status
                                        - titleMarkdown
                                        - createdAt
                                        - updatedAt
                                        - contentMarkdown
                                    - type: object
                                      properties:
                                        status:
                                          type: string
                                          enum:
                                            - not-found
                                            - draft
                                      required:
                                        - status
                              required:
                                - response
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````